Uncomplete a task Run in API Explorer
Ask AI
PATCH
/api/v1/task/{task_uuid}/uncomplete/{taskStatus}
curl \
--request PATCH 'https://api.plannrcrm.com/api/v1/task/6ff8f7f6-1eb3-3525-be4a-3932c805afed/uncomplete/{taskStatus}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "5bd543b9-60a5-42b2-9e9c-bc058cfbef2f",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"name": "Document the transaction",
"description": "Document the transaction",
"priority": "high",
"position": 1,
"due_at": "2021-01-01 00:00:00",
"status": {
"uuid": "d3e8e00e-18b5-48a3-80c9-4e9b4db70c47",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"name": "Incomplete",
"colour": "#398898",
"position": 1,
"is_type_completed": false,
"is_archived": false,
"is_not_started": false
},
"taskable_type": "case",
"taskable": {
"uuid": "6a68b82a-dac0-457c-94a2-e221ca881b24",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"name": "finance",
"slug": "finance",
"status": {
"uuid": "4baec8db-938b-4321-a49e-7a54a7a5de3c",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"name": "To Be Reviewed",
"colour": "#23852B",
"position": 5,
"is_type_completed": false
},
"type": {
"uuid": null,
"name": "Mortgage Plan",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00"
},
"review_at": "2026-11-19T12:59:40+00:00",
"assigned_to_uuids": [
"3fda9051-7deb-41c8-a1ad-77f39fd07025"
],
"group_uuids": [
"740a5a7f-8a6f-40ef-9e5e-229e25bf6f9d"
],
"completed_at": "2026-11-19T12:59:40+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"participants": {
"uuid": "8d07cd91-bd4d-4bd1-bbde-b18d67214e1b",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-19T12:59:45+00:00",
"next_review_date": "2026-11-19T12:59:45+00:00",
"previous_review_date": "2026-11-19T12:59:45+00:00",
"anniversary_review_date": "2026-11-19T12:59:45+00:00",
"terms_of_business_at": "2026-11-19T12:59:45+00:00",
"client_agreement_at": "2026-11-19T12:59:45+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-19",
"last_interaction_at": "2026-11-19 12:59:45",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-19T12:59:45+00:00",
"out_of_office_until": "2026-11-19T12:59:45+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"task_board_uuid": "6b11383a-13ae-4b1c-a697-49cbc9eff53e",
"plans": {
"uuid": "76b88a42-d458-4edb-9bb5-ab26e860feeb",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"opened_at": "2026-11-19T12:59:45+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-11-19T12:59:45+00:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-11-19",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-11-19",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-11-19T12:59:45+00:00",
"original_valued_at": "2026-11-18T12:59:45+00:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"custom_fields": {
"uuid": null,
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
}
},
"author": {
"uuid": "a0dfd4ef-6dbe-4340-b8b7-1d767d9ab5da",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "c9ff37a3-269e-4b25-b9df-3d0865c60180",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"assigned_to": [
{
"uuid": "82e2a493-5d2c-478a-ba73-f22528a1791f",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "c9ff37a3-269e-4b25-b9df-3d0865c60180",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
],
"completed_at": "2021-01-01 00:00:00",
"completed_by": {
"uuid": "832e0183-cebd-4f5a-a9cf-3fc5a47c2cf2",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "c9ff37a3-269e-4b25-b9df-3d0865c60180",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"workflow_task": {
"uuid": "aa667228-5144-418b-bbfc-9ffb6c512d3f",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"name": "Mortgage Review",
"description": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
"priority": "high",
"position": 2,
"task_status": {
"uuid": "56afd856-867a-46ff-bb49-423fb6e923be",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"name": "Incomplete",
"colour": "#398898",
"position": 1,
"is_type_completed": false,
"is_archived": false,
"is_not_started": false
},
"offset_due_at_by": 2,
"visible_to_clients": true,
"auto_assign_assigned_adviser": true,
"auto_assign_assigned_administrator": true,
"auto_assign_clients": true,
"author": {
"uuid": "8d07cd91-bd4d-4bd1-bbde-b18d67214e1b",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-19T12:59:45+00:00",
"next_review_date": "2026-11-19T12:59:45+00:00",
"previous_review_date": "2026-11-19T12:59:45+00:00",
"anniversary_review_date": "2026-11-19T12:59:45+00:00",
"terms_of_business_at": "2026-11-19T12:59:45+00:00",
"client_agreement_at": "2026-11-19T12:59:45+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-19",
"last_interaction_at": "2026-11-19 12:59:45",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-19T12:59:45+00:00",
"out_of_office_until": "2026-11-19T12:59:45+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"participants": {
"uuid": "8d07cd91-bd4d-4bd1-bbde-b18d67214e1b",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-19T12:59:45+00:00",
"next_review_date": "2026-11-19T12:59:45+00:00",
"previous_review_date": "2026-11-19T12:59:45+00:00",
"anniversary_review_date": "2026-11-19T12:59:45+00:00",
"terms_of_business_at": "2026-11-19T12:59:45+00:00",
"client_agreement_at": "2026-11-19T12:59:45+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-19",
"last_interaction_at": "2026-11-19 12:59:45",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-19T12:59:45+00:00",
"out_of_office_until": "2026-11-19T12:59:45+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"tags": {
"uuid": "b6fd695a-d098-4624-81ab-a5b81faee37c",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"location_uuid": "09417d9d-ee7f-4951-9f33-ee00a4816dd2",
"parent": {
"uuid": "25002b65-4503-4e72-983d-f6d365edc008",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"name": "Mortgage Review",
"description": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
"priority": "high",
"position": 2,
"offset_due_at_by": 2,
"visible_to_clients": true,
"auto_assign_assigned_adviser": true,
"auto_assign_assigned_administrator": true,
"auto_assign_clients": true,
"location_uuid": "f5dcbe16-9133-44d8-a3d6-3e30c69f543d",
"is_trigger_task": true
},
"trigger": {
"uuid": "25002b65-4503-4e72-983d-f6d365edc008",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"name": "Mortgage Review",
"description": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
"priority": "high",
"position": 2,
"offset_due_at_by": 2,
"visible_to_clients": true,
"auto_assign_assigned_adviser": true,
"auto_assign_assigned_administrator": true,
"auto_assign_clients": true,
"location_uuid": "f5dcbe16-9133-44d8-a3d6-3e30c69f543d",
"is_trigger_task": true
},
"trigger_tasks": {
"uuid": "25002b65-4503-4e72-983d-f6d365edc008",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"name": "Mortgage Review",
"description": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
"priority": "high",
"position": 2,
"offset_due_at_by": 2,
"visible_to_clients": true,
"auto_assign_assigned_adviser": true,
"auto_assign_assigned_administrator": true,
"auto_assign_clients": true,
"location_uuid": "f5dcbe16-9133-44d8-a3d6-3e30c69f543d",
"is_trigger_task": true
},
"sub_tasks": {
"uuid": "25002b65-4503-4e72-983d-f6d365edc008",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"name": "Mortgage Review",
"description": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
"priority": "high",
"position": 2,
"offset_due_at_by": 2,
"visible_to_clients": true,
"auto_assign_assigned_adviser": true,
"auto_assign_assigned_administrator": true,
"auto_assign_clients": true,
"location_uuid": "f5dcbe16-9133-44d8-a3d6-3e30c69f543d",
"is_trigger_task": true
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00"
},
"workflow": {
"uuid": "461bfd12-2877-4b83-a82c-bb537dba8a98",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"name": "Pension Transfer",
"type": "simple",
"tasks_count": 5,
"network_locked": false
},
"is_trigger_task": true
},
"workflow": {
"uuid": "f81191aa-32cc-473f-a678-95071b8d260f",
"name": "New Client Onboarding"
},
"is_recurring": true,
"recurring_frequency": "weekly",
"recurring_last_run": "2026-01-01 00:00:00",
"recurring_next_run": "2026-01-01 00:00:00",
"custom_fields": [
{
"uuid": "b88ab24c-5391-4871-8ac6-51da4ee93a30",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}